org.hibernate.search.util

## Class StringHelper

- java.lang.Object
- - org.hibernate.search.util.StringHelper

-     public final class StringHelper
      extends Object

  Inspired from `org.hibernate.util.StringHelper`, but removing most methods as they are not needed for Hibernate Search.
  Author:
    Emmanuel Bernard, Sanne Grinovero

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isEmpty(String string)`
    `static boolean` | `isNotEmpty(String string)`
    `static String` | `join(Iterable<?> iterable, String separator)` Joins the elements of the given iterable to a string, separated by the given separator string.
    `static String` | `join(Iterator<?> iterator, String separator)` Joins the elements of the given iterator to a string, separated by the given separator string.
    `static String` | `join(Object[] array, String separator)` Joins the elements of the given array to a string, separated by the given separator string.
    `static String` | `qualify(String prefix, String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isNotEmpty

          public static boolean isNotEmpty(String string)

    - #### isEmpty

          public static boolean isEmpty(String string)

    - #### qualify

          public static String qualify(String prefix,
                                       String name)

    - #### join

          public static String join(Object[] array,
                                    String separator)

      Joins the elements of the given array to a string, separated by the given separator string.
      Parameters:
        `array` - the array to join
        `separator` - the separator string
      Returns:
        a string made up of the string representations of the given array's members, separated by the given separator string

    - #### join

          public static String join(Iterable<?> iterable,
                                    String separator)

      Joins the elements of the given iterable to a string, separated by the given separator string.
      Parameters:
        `iterable` - the iterable to join
        `separator` - the separator string
      Returns:
        a string made up of the string representations of the given iterable members, separated by the given separator string

    - #### join

          public static String join(Iterator<?> iterator,
                                    String separator)

      Joins the elements of the given iterator to a string, separated by the given separator string.
      Parameters:
        `iterator` - the iterator to join
        `separator` - the separator string
      Returns:
        a string made up of the string representations of the given iterator members, separated by the given separator string

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved